# Uses of Class
javafx.scene.control.TabPane

Packages that use TabPane
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TabPane in javafx.scene.control

Methods in javafx.scene.control that return TabPane
Modifier and Type
Method
Description
`final TabPane`
Tab.`getTabPane()`
A reference to the TabPane that contains this tab instance.
Methods in javafx.scene.control that return types with arguments of type TabPane
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<TabPane>`
Tab.`tabPaneProperty()`
The TabPane that contains this tab.

## Uses of TabPane in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type TabPane
Modifier
Constructor
Description
``
`TabPaneSkin(TabPane control)`
Creates a new TabPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.